summary refs log tree commit diff
path: root/src/index.sh
diff options
context:
space:
mode:
authordzwdz2023-05-25 21:54:37 +0200
committerdzwdz2023-05-25 21:54:37 +0200
commita0a4920deaf4ca645cdfee45edf00e614369882f (patch)
tree6dc02a9f563769f02d1f70976ed18c230aca6f81 /src/index.sh
initial commit
Diffstat (limited to 'src/index.sh')
-rw-r--r--src/index.sh59
1 files changed, 59 insertions, 0 deletions
diff --git a/src/index.sh b/src/index.sh
new file mode 100644
index 0000000..9e0dbaa
--- /dev/null
+++ b/src/index.sh
@@ -0,0 +1,59 @@
+#!/bin/sh
+# vim: set syntax=html:
+set -e
+cat <<EOF
+<!DOCTYPE html>
+<html>
+<head>
+	<meta charset="utf-8" />
+	<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
+	<link href="https://tilde.town/~dzwdz/blog/feed.atom" type="application/atom+xml" rel="alternate"/>
+	<title>dzwdz</title>
+	<style>
+body {
+	max-width: 40ch;
+	font-family: sans-serif;
+	line-height: 1.3;
+	margin: 2em auto;
+	padding: 0 1ch;
+}
+
+.sidenote {
+	border: 1px solid currentColor;
+	padding: 1ch;
+	margin: 3em 1ch;
+}
+
+.sidenote > * {
+	margin: 0;
+}
+
+h2, h3 {
+	margin-bottom: 0;
+	margin-top: 1.5em;
+}
+
+span {
+	opacity: .5;
+	width: 10ch;
+	display: inline-block;
+	text-align: right;
+}
+	</style>
+</head>
+<body>
+<div><span>irc</span>
+dzwdz on {<a href="https://libera.chat">libera</a>,<a href="https://tilde.chat">tilde</a>}.chat</div>
+<div><span>email</span>
+dzwdz at <a href="https://disroot.org">disroot</a></div>
+<div><span>feeds</span>
+<a href="https://tilde.town/~dzwdz/blog/feed.atom">atom</a>,
+<a href="https://tilde.town/~dzwdz/blog/feed.ass">ass</a>
+</div>
+<br>
+EOF
+
+awk -F"\t" '/^2/ {
+	print "<div><span>", $1, "</span>",
+	"<a href=\"", $2, "\">", $3, "</a></div>";
+}' $1